Skip to content

Update User Document Private Status

Update the private/public visibility status of a document attached to a user. Requires ADMIN or MANAGE_PEOPLE permissions and the PEOPLE_MANAGEMENT feature flag.

Parameters

name * are required parametersdata typedescription
userId*stringThe unique identifier of the user
documentId*stringThe unique identifier of the document
body.private*booleantrue to make the document private, false to make it visible

Return Value

The updated document record.

Error Codes

  • 400 Bad Request: Returned when parameters are invalid.
  • 401 Unauthorized: Returned when permissions are insufficient.

Examples

bash
curl -X PUT "https://app.wombat.software/api/{targetPath}/user/:userId/document/:documentId/set-private-status" \
  -H "Content-Type: application/json" \
  -H "Authentication: Bearer ..." \
  -d '{"private": true}'

ENDPOINTS

put/api/{targetPath}/user/:userId/document/:documentId/set-private-status